%global par_name mahout
%global src_name %(s="%{name}-%{version}" ; echo $s | sed -e 's!-!_!g')

Name:		%{par_name}-collection-codegen-plugin
Version:	1.0
Release:	4%{?dist}
Summary:	Maven Mojo to generate code for Mahout Collections

License:	ASL 2.0
URL:		http://%{par_name}.apache.org/
Source0:	http://www.apache.org/dist/%{par_name}/%{name}-%{version}/%{src_name}_sources.jar
Source1:	http://www.apache.org/dist/%{par_name}/%{name}-%{version}/%{src_name}.pom

BuildArch:	noarch

BuildRequires:	maven-local
BuildRequires:	mvn(org.apache.maven:maven-plugin-api)
BuildRequires:	mvn(org.apache.maven:maven-project)
BuildRequires:	mvn(org.apache.maven.shared:file-management)
BuildRequires:	mvn(org.apache.velocity:velocity)

Requires:	maven

%description
The Apache Mahout project's goal is to build a scalable machine
learning library.

This package contains the Maven plugin used to generate code
for Mahout Collections.


%package javadoc
Summary:	API documentation for %{name}

%description javadoc
This package provides the %{summary}.


%prep
%setup -Tqc
_TOPLEVEL=$(pwd)

# Prepare the sources
mkdir -p src/main/java
pushd src/main/java
%jar -xf %SOURCE0
cp -p META-INF/LICENSE META-INF/NOTICE ${_TOPLEVEL}
rm -rf META-INF
popd
find . -depth -type f -name '*.jar' -print0 | xargs -0 rm -f

# Prepare maven pom.xml
install -pm0644 %{SOURCE1} pom.xml
%pom_add_plugin org.apache.maven.plugins:maven-jar-plugin . "
<configuration>
  <archive>
    <manifest>
      <addDefaultImplementationEntries>true</addDefaultImplementationEntries>
      <addDefaultSpecificationEntries>true</addDefaultSpecificationEntries>
    </manifest>
  </archive>
</configuration>"


%build
%mvn_file :%{name} %{name}
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8


%install
%mvn_install


%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 30 2014 Björn Esser <bjoern.esser@gmail.com> - 1.0-1
- initial rpm release (#1082552)
